package org.openjdk.gcbench.wip;

import org.openjdk.jmh.annotations.*;

import java.net.URL;
import java.net.URLClassLoader;
import java.util.concurrent.TimeUnit;

@Warmup(iterations = 0)
@Measurement(iterations = 200)
@Fork(1)
@BenchmarkMode(Mode.AverageTime)
@OutputTimeUnit(TimeUnit.MICROSECONDS)
@State(Scope.Thread)
public class ClassChurn {

    @Benchmark
    public Class<?> load() throws ClassNotFoundException {
        URLClassLoader loader = new URLClassLoader(new URL[0]);
        return Class.forName("java.util.HashMap", true, loader);
    }

}